/* Main loop etc */
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "lidl.h"
#include "world.h"
#include "beasts.h"
#include "ui.h"

int main()
{
    /* initial code etc */
    debugInit();
    uiInit();
    worldInit();
    beastInit();
    playerInit();
    mapInit();
    uiPrint( "Welcome to lidl v%s", VERSION );
    uiPrint( "Copyright (C) 2006 Patrik Nilsson and Daniel Nilsson" );
    uiPrint( "" ); 
    gameLoop();
    uiStop();
    debugStop();
    exit( EXIT_SUCCESS );
}

