#ifndef __LLDATA_H
#define __LLDATA_H

enum {BNULL, BTEMPLATE, BROOM, BOBJECT};

enum {LLNULL, LLINT, LLFLOAT, LLSTRING, LLSYMBOL, LLVECTOR, LLPOSITION};

typedef struct LLValue LLValue;
struct LLValue {
   unsigned char type;
   void *data;
};

LLValue * addLLValue(unsigned char type);
void delLLValue(LLValue *v);

LLValue * embedInt(int val);
LLValue * embedFloat(double val);
LLValue * embedString(char *val);
LLValue * embedSymbol(char *val);

#endif /* __LLDATA_H */
