#ifndef __BEASTS_H
#define __BEASTS_H

extern void beastNear( int id, int wherex, int wherey );
extern void beastOn( int id, int who );
extern void beastDamage( int id, int who, int damage );
extern void beastMove( int id, int wherex, int wherey );
extern void beastInit();
extern int beastSpawn( int type, int x, int y, int z );

/* for non-global use */

struct Beast
{
    /* This struct will be used for simpler manegment of
       beasts */
    
    int id;
    int type;
    int hp;
    int mp;
    int x, y, z;
    
    /* its a list aint it */
    struct Beast *next, *prev;
};

typedef struct Beast Beast;

extern Beast *beast_first, *beast_last;

extern Beast * beast_add( void );
extern void beast_del( Beast *beast );
extern Beast * beast_getById( int id );

extern int beast_lastId;

#endif /* __BEASTS_H */
