#ifndef __UI_H
#define __UI_H

enum {
    uiMOVEN  = -2, /* move north */ 
    uiMOVES  = -3, /* -""- south */ 
    uiMOVEW  = -4, /* -""- west  */ 
    uiMOVEE  = -5, /* -""- easth */
    uiMOVENW = -6, /* NW */
    uiMOVENE = -7, /* NE */
    uiMOVESW = -8, /* SW */
    uiMOVESE = -9, /* SE */
};

extern void uiPrint( char *fmt, ... );
extern void uiInputString( char *buf, size_t bufsize, const char *string );
extern void uiInit( void );
extern void uiStop( void );
extern void uiUpdate( void ); /* NOTE: For internal use, should not be uses externaly */
extern void uiUpdateMap();
extern int uiInputChar( void );
extern void uiInfoBox( char *fmt, ... );
extern void uiUpdateStats( void ); /* NOTE: For internal use, should not be uses externaly */

#endif /* __UI_H */
